#1998 closed defect (fixed)

Specifying ftpd root problems

Reported by: Gedare Owned by: Eric Norum
Priority: normal Milestone: 4.10
Component: network/legacy Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Bug/patch from rtems-devel.

when configuring ftpd with:

struct rtems_ftpd_configuration rtems_ftpd_configuration = {

20, /* FTPD task priority */
512*1024, /* Maximum hook 'file' size */
0, /* Use default port */
ftp_hooks, /* Local ftp hooks */
"/ssd/", /* Root */
3, /* Task count */
3600, /* Idle timeout */
0, /* Access */
sysconfig_login_check /* Login */

};

The FTPD_ROOT never works. by look into 'cpukit/ftpd/ftpd.c' function: 'session(rtems_task_argument arg)'

the first time it try to 'chroot(ftpd_root)' the ftpd_root still
not setup to '/ssd/'. but this function success return. which make
the second 'chroot(ftpd_root)' never called.

this patch just move the ftpd root dir setup before the task start.
then it will setup the 'ftpd_root' before run function 'session'

Attachments (1)

ftpd_root.diff (1.1 KB) - added by Gedare on Dec 24, 2011 at 3:31:56 PM.
Assign ftpd root earlier

Download all attachments as: .zip

Change History (3)

Changed on Dec 24, 2011 at 3:31:56 PM by Gedare

Attachment: ftpd_root.diff added

Assign ftpd root earlier

comment:1 Changed on Feb 2, 2012 at 6:34:33 PM by Joel Sherrill

Component: cpukitnetworking
Milestone: 4.114.10
Owner: changed from Joel Sherrill to Eric Norum
Resolution: fixed
Status: newclosed

Applied to 4.10 and head.

Closing. Thanks.PR 1998/networking - Move ftpd root initialization

From: Xiangfu <xiangfu@…>
Signed-off-by: Xiangfu <xiangfu@…>

comment:2 Changed on Nov 24, 2014 at 6:56:19 PM by Gedare

Version: HEAD4.10
Note: See TracTickets for help on using tickets.